Bug 630047 - (CVE-2010-3170) CVE-2010-3170 firefox/nss: doesn't handle IP-based wildcards in X509 certificates safely
CVE-2010-3170 firefox/nss: doesn't handle IP-based wildcards in X509 certific...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100714,reported=20100903,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 11:27 EDT by Jan Lieskovsky
Modified: 2010-11-11 03:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 03:16:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-09-03 11:27:36 EDT
Richard Moore and Simon Ward reported flaws in the way browsers such
as Firefox handled wildcard characters in the Common Name field of
a certificate. If an attacker is able to get a carefully-crafted certificate,
signed by a Certificate Authority trusted by Firefox, the attacker could
use the certificate during the man-in-the-middle attack and potentially
confuse Firefox into accepting it by mistake. Different vulnerability than
CVE-2009-2408.

References:
 [1] http://www.westpoint.ltd.uk/advisories/wp-10-0001.txt
 [2] http://bugs.gentoo.org/show_bug.cgi?id=335731
Comment 1 Kai Engert (:kaie) (on vacation) 2010-09-03 13:12:32 EDT
This will be fixed in NSS 3.12.8
Comment 2 Jan Lieskovsky 2010-09-06 07:47:44 EDT
Mozilla has assigned CVE-2010-3170 identifier to this issue.

Mozilla upstream bug:
[3] https://bugzilla.mozilla.org/show_bug.cgi?id=578697 (not public yet)
Comment 3 Tomas Hoger 2010-09-06 12:17:43 EDT
(In reply to comment #2)
> Mozilla upstream bug:
> [3] https://bugzilla.mozilla.org/show_bug.cgi?id=578697 (not public yet)

The bug is referenced in the comment for the following upstream CVS commit:

http://bonsai.mozilla.org/cvsview2.cgi?diff_mode=context&whitespace_mode=show&subdir=mozilla/security/nss/lib/certdb&command=DIFF_FRAMESET&file=certdb.c&rev1=1.107&rev2=1.108&root=/cvsroot
Comment 4 errata-xmlrpc 2010-10-19 19:10:27 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0781 https://rhn.redhat.com/errata/RHSA-2010-0781.html
Comment 5 errata-xmlrpc 2010-10-19 19:21:22 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0782 https://rhn.redhat.com/errata/RHSA-2010-0782.html
Comment 8 errata-xmlrpc 2010-11-10 13:58:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0862 https://rhn.redhat.com/errata/RHSA-2010-0862.html

Note You need to log in before you can comment on or make changes to this bug.